> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute a trade

> Execute a trade that has been previously quoted



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml post /conversions/execute
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /conversions/execute:
    post:
      tags:
        - Conversions
      summary: Execute a trade
      description: Execute a trade that has been previously quoted
      operationId: executeQuotedTrade
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - quoteId
              properties:
                quoteId:
                  type: string
                  description: Quote ID
                idempotencyKey:
                  $ref: '#/components/schemas/IdempotencyKey'
                xid:
                  $ref: '#/components/schemas/Xid'
                xmetadata:
                  $ref: '#/components/schemas/Xmetadata'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    description: Trade execution status
                  id:
                    type: string
                    example: a3310a45-44f3-4be0-a8ed-26f4a7d4c03e
                    format: uuid
                    description: Trade id
                  refId:
                    type: string
                    example: EX9KNFLEP4
                    description: Trade transaction reference
                  baseCurrency:
                    type: string
                    example: USD
                    description: Base currency
                  baseAmount:
                    type: number
                    example: 100
                    description: Amount of base currency
                  quoteCurrency:
                    type: string
                    example: HKD
                    description: Quote currency
                  quoteAmount:
                    type: number
                    example: 758.7169202399999
                    description: Amount of quote currency
                  rate:
                    type: number
                    example: 7.5871692
                    description: Rate of conversion
                  executedAt:
                    type: string
                    example: '2023-03-01T12:05:07.000Z'
                    format: date-time
                    description: Execute time of the trade
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                oneOf:
                  - $ref: '#/components/schemas/ErrorInsufficientBalance'
                  - $ref: '#/components/schemas/ErrorConversionQuoteExpired'
components:
  schemas:
    IdempotencyKey:
      type: string
      description: >-
        Unique idempotency key for ensuring exactly-once execution of mutating
        requests.
      format: string
      example: xeev1she5eegh9daiviethahchoo1muW
    Xid:
      type: string
      description: >-
        External identifier, unique across all resources created under this
        account.
    Xmetadata:
      type: object
      description: External metadata
      example:
        key1: value1
        key2:
          - value2.1
          - value2.2
      additionalProperties: true
      oneOf:
        - type: string
        - type: array
          items:
            type: string
    ErrorInsufficientBalance:
      type: object
      title: INSUFFICIENT_BALANCE
      description: >-
        The funding account has insufficient balance to complete the transfer.
        Create a Transfer to fund the source account.
      properties:
        code:
          type: string
          description: Error Code
          example: INSUFFICIENT_BALANCE
        message:
          type: string
          description: Error message
          example: >-
            The funding account has insufficient balance to complete the
            transfer. Create a Transfer to fund the source account.
    ErrorConversionQuoteExpired:
      type: object
      properties:
        code:
          type: string
          description: Error Code
          example: CONVERSION_QUOTE_EXPIRED
        message:
          type: string
          description: Error message
          example: The conversion quote has expired. Create a new quote.
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````